Skip to main content
GET
/
v1
/
components
List software components
curl --request GET \
  --url https://api.app.chainloop.dev/v1/components \
  --header 'Authorization: Bearer <token>'
{
  "pagination": {
    "next_cursor": "next_cursor"
  },
  "results": [
    {
      "component_type": "component_type",
      "children": [
        null,
        null
      ],
      "name": "name",
      "cpe": "cpe",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "purl": "purl",
      "findings_summary": {
        "total": 0,
        "high": 1,
        "critical": 6,
        "low": 5,
        "medium": 5,
        "unknown": 2
      },
      "version": "version",
      "auto_generated_purl": true,
      "parents": [
        null,
        null
      ]
    },
    {
      "component_type": "component_type",
      "children": [
        null,
        null
      ],
      "name": "name",
      "cpe": "cpe",
      "created_at": "2000-01-23T04:56:07.000Z",
      "id": "id",
      "purl": "purl",
      "findings_summary": {
        "total": 0,
        "high": 1,
        "critical": 6,
        "low": 5,
        "medium": 5,
        "unknown": 2
      },
      "version": "version",
      "auto_generated_purl": true,
      "parents": [
        null,
        null
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainloop.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication

Query Parameters

project_name
string

ProjectName is the name of the project to filter by

project_version_name
string

ProjectVersionName is the name of the project version to filter by

product_id
string

ProductID is the ID of the product to filter by

ID of the product to filter components by

product_version_id
string

ProductVersionID is the ID of the product version to filter by

ID of the product version to filter components by. Must be provided with product_id

pagination.cursor
string

The cursor to start pagination from

The cursor to start pagination from

pagination.limit
integer<int32>
default:10

The limit of the number of entries to return

The maximum number of entries to return

Search provides a way to search components by name or purl

Search term to filter components by name or purl

main_component
boolean

IsMainComponent is a flag to filter by the main component property

Return either main components or child components, if not set we'll return all components

vulnerable
boolean

Filter by whether the component has at least one linked active finding. Requires a project version scope.

fixable
boolean

Filter by whether the component has at least one linked active finding with a fix available. Requires a project version scope.

exploitable
boolean

Filter by whether the component has at least one linked active finding tied to a CISA KEV vulnerability. Requires a project version scope.

Response

A successful response.

Response for the List method

results
ComponentItem · object[]
pagination
CursorPaginationResponse · object

Pagination information for cursor-based pagination

Example:
{ "next_cursor": "next_cursor" }